Package Details: amarok 2.9.0.r259.a3971e4d47-1

Git Clone URL: https://aur.archlinux.org/amarok.git (read-only)
Package Base: amarok
Description: The powerful music player for KDE
Upstream URL: http://amarok.kde.org/
Licenses: GPL2, FDL, LGPL2.1
Submitter: arojas
Maintainer: frealgagu
Last Packager: frealgagu
Votes: 13
Popularity: 5.609583
First Submitted: 2018-08-28 13:52
Last Updated: 2018-11-09 17:11

Pinned Comments

frealgagu commented on 2018-11-09 17:56

I've included a new package libssh-gnutls which is the same package "libssh" but compiled with gnutls (libgcrypt). This a new dependency to amarok so amarok shouldn't crash at start.

https://bbs.archlinux.org/viewtopic.php?pid=1810619#p1810619

Latest Comments

1 2 Next › Last »

frealgagu commented on 2018-11-09 17:56

I've included a new package libssh-gnutls which is the same package "libssh" but compiled with gnutls (libgcrypt). This a new dependency to amarok so amarok shouldn't crash at start.

https://bbs.archlinux.org/viewtopic.php?pid=1810619#p1810619

nicoadamo commented on 2018-11-05 00:58

@frealgagu: Thanks for clarifying so quickly!

frealgagu commented on 2018-11-04 21:54

@nicoadamo there is no a stable 2.9.70 yet, so I've been including the last commits in master branch. Version 2.9.0 is the stable one but it only works with qt4 which is no longer supported in Arch. Once the version 2.9.70 is released i'll keep it as the version of this package.

nicoadamo commented on 2018-11-04 21:45

Sorry, but are version names fine inside the package? I compiled today theoretically "amarok 2.9.0.r258.f632617d29-1", but in the Help menu, version line I get the following: Amarok Version 2.9.70 Using KDE Frameworks 5.51.0

Which matches frealgagu's comment below "Looks like a new version of amarok 2.9.70 will be released soon."

I got confused.

Regards,

Nicolás Adamo

Rhinoceros commented on 2018-10-10 01:27

Amarok won't launch, and is crashing with MySQLe something failed! on library initialization failed, return code 1.

To fix this, you need to rebuild libssh with gnutls (libgcrypt) [a]. Have a look at the linked thread, but essentially, just patch the libssh PKGBUILD with the following and install.

--- PKGBUILD    (revision 336084)
+++ PKGBUILD    (working copy)
@@ -12,7 +12,7 @@
 url="http://www.libssh.org/"
 license=(LGPL)
 arch=(x86_64)
-depends=(zlib openssl)
+depends=(libgcrypt zlib)
 makedepends=(cmake cmocka doxygen python)
 source=(https://www.libssh.org/files/${pkgver%.*}/$pkgname-$pkgver.tar.xz{,.asc})
 sha256sums=('302f31f606f2368cd3ce77d7a69f7464c18eae176e73e59102e0524401bd29d0'
@@ -33,6 +33,7 @@
   cmake ../$pkgname-$pkgver \
     -DCMAKE_INSTALL_PREFIX=/usr \
     -DWITH_GSSAPI=OFF \
+    -DWITH_GCRYPT=ON \
     -DUNIT_TESTING=ON
   make
   make docs
@@ -40,7 +41,7 @@

 check() {
   cd build
-  make test
+  make test || true # One test failure with libgcrypt
 }

 package_libssh() {

[a] https://bbs.archlinux.org/viewtopic.php?pid=1810619#p1810619

frealgagu commented on 2018-09-28 16:37

Looks like a new version of amarok 2.9.70 will be released soon.

Behem0th commented on 2018-09-22 16:32

Downgrade libssh to 0.8.2 version helps me.

kifuna commented on 2018-09-22 14:56

This error is most likely related to this: https://bugs.archlinux.org/task/59719. I tried to compile libssh with DWITH_GCRYPT=ON (as was the case for version 0.8.2) and amarok starts normally again. Is there maybe another option to circumvent this issue?

Behem0th commented on 2018-09-22 12:32

After arch update 22.09.18 old version amarok show error on start.

Message: "The Amarok database reported the following errors: MySQLe something failed! on library initialization failed, return code 1 In most cases you will need to resolve these errors before Amarok will run properly."

I build this version but still see error.

List updated pkg: https://pastebin.com/0RRQ94we

holunder commented on 2018-09-22 12:32

Am I the only one getting "MySQLe something failed! on library initialization failed, return code 1" since today’s updates?